package edu.ucsc.its.temerity.shared.viewmodel

import androidx.compose.runtime.Composable
import edu.ucsc.its.temerity.PlatformClient
import kotlinx.coroutines.flow.Flow
import org.koin.core.component.KoinComponent
import org.koin.core.component.get

sealed class RootEvent {
    data object NavigateToDevicesPane : RootEvent()
}

data class RootState(
    val loading: Boolean = false
)

class RootViewModel : MoleculeViewModel<RootEvent, RootState>(), KoinComponent {

    @Composable
    override fun models(events: Flow<RootEvent>): RootState {
        return rootPresenter(events, get<PlatformClient>())
    }

    private fun rootPresenter(events: Flow<RootEvent>, client: PlatformClient): RootState {
        return RootState(false)
    }

}